
From: Miklos Szeredi <miklos@szeredi.hu>

Make umount_tree() static, since it's not used outside namespace.c in
either -linus or -mm:

Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/namespace.c            |    2 +-
 include/linux/namespace.h |    1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

diff -puN fs/namespace.c~make-umount_tree-static fs/namespace.c
--- 25/fs/namespace.c~make-umount_tree-static	2005-05-13 23:15:20.000000000 -0700
+++ 25-akpm/fs/namespace.c	2005-05-13 23:15:20.000000000 -0700
@@ -337,7 +337,7 @@ int may_umount(struct vfsmount *mnt)
 
 EXPORT_SYMBOL(may_umount);
 
-void umount_tree(struct vfsmount *mnt)
+static void umount_tree(struct vfsmount *mnt)
 {
 	struct vfsmount *p;
 	LIST_HEAD(kill);
diff -puN include/linux/namespace.h~make-umount_tree-static include/linux/namespace.h
--- 25/include/linux/namespace.h~make-umount_tree-static	2005-05-13 23:15:20.000000000 -0700
+++ 25-akpm/include/linux/namespace.h	2005-05-13 23:15:20.000000000 -0700
@@ -12,7 +12,6 @@ struct namespace {
 	struct rw_semaphore	sem;
 };
 
-extern void umount_tree(struct vfsmount *);
 extern int copy_namespace(int, struct task_struct *);
 extern void __put_namespace(struct namespace *namespace);
 
_
